import { defineComponent, reactive } from 'vue';
import styles from './index.module.less';
import {
  NAvatar,
  NButton,
  NCheckbox,
  NCheckboxGroup,
  NInput,
  NScrollbar,
  NSelect,
  NSpace
} from 'naive-ui';
import SearchInput from '/src/components/searchInput';

export default defineComponent({
  name: 'assign-student',
  setup() {
    const state = reactive({
      studentName: '',
      searchFrom: {
        classGroupId: '',
        subjectId: '',
        keyword: ''
      },
      tableList: [] as any
    });
    return () => (
      <div class={styles.assignStudent}>
        <div class={styles.studentListGroup}>
          <div class={styles.searchSection}>
            <div class={styles.searchSpace}>
              <NSelect
                placeholder="全部班级"
                v-model:value={state.searchFrom.classGroupId}
              />
              <NSelect
                placeholder="全部声部"
                v-model:value={state.searchFrom.subjectId}
              />
            </div>
            <SearchInput
              {...{ placeholder: '请输入学生姓名/手机号' }}
              class={styles.searchInput}
              searchWord={state.searchFrom.keyword}
              onChangeValue={(val: string) =>
                (state.searchFrom.keyword = val)
              }></SearchInput>
          </div>

          <div class={styles.studentSection}>
            <div class={styles.checkboxAll}>
              <NCheckbox></NCheckbox>
              <p>
                全选 <span class={styles.nums}>(120)</span> ：
              </p>
            </div>
          </div>
          <NScrollbar class={styles.student}>
            <NCheckboxGroup>
              <div class={[styles.studentItem, styles.active]}>
                <NCheckbox></NCheckbox>
                <div class={styles.studentInfo}>
                  <NAvatar class={styles.studentImg} />
                  <div class={styles.studentValue}>
                    <div class={styles.userInfo}>
                      <span class={styles.name}>林夏喜</span>
                      <i class={styles.iconMember}></i>
                      <span class={styles.className}>三年级1班</span>
                    </div>
                    <div class={styles.phone}>15527262536</div>
                  </div>
                </div>
              </div>
            </NCheckboxGroup>
          </NScrollbar>
        </div>

        <div class={styles.selectStudentGroup}>
          <div class={styles.selectCount}>
            当前选中 <span>(40) </span>：
          </div>
          <div class={styles.searchSection}>
            <SearchInput
              {...{ placeholder: '请输入学生姓名' }}
              class={styles.searchInput}
              // searchWord={state.searchForm.keyword}
              // onChangeValue={(val: string) =>
              //   (state.searchForm.keyword = val)
              // }
            ></SearchInput>
          </div>
          <NScrollbar class={styles.student}>
            <div class={[styles.studentItem, styles.active]}>
              <div class={styles.studentInfo}>
                <NAvatar class={styles.studentImg} />
                <span class={styles.name}>林夏喜</span>
              </div>
              <i class={styles.iconClose}></i>
            </div>
          </NScrollbar>

          <NSpace justify="end" class={styles.btnGroup}>
            <NButton type="default">取消</NButton>
            <NButton type="primary">保存</NButton>
          </NSpace>
        </div>
      </div>
    );
  }
});
